rkx@secret MINGW64 /c/eplatform/astro
$ ls -la
total 19
drwxr-xr-x 1 C723258 1049089 0 Feb 16 20:46 ./
drwxr-xr-x 1 C723258 1049089 0 Feb 16 20:46 …/
drwxr-xr-x 1 C723258 1049089 0 Feb 16 20:46 .astro/
-rw-r–r-- 1 C723258 1049089 43 Feb 16 20:46 .dockerignore
-rw-r–r-- 1 C723258 1049089 0 Feb 16 20:46 .env
-rw-r–r-- 1 C723258 1049089 84 Feb 16 20:46 .gitignore
-rw-r–r-- 1 C723258 1049089 43 Feb 16 20:46 Dockerfile
-rw-r–r-- 1 C723258 1049089 2934 Feb 16 20:46 README.md
-rw-r–r-- 1 C723258 1049089 851 Feb 16 20:46 airflow_settings.yaml
drwxr-xr-x 1 C723258 1049089 0 Feb 16 20:46 dags/
drwxr-xr-x 1 C723258 1049089 0 Feb 16 20:46 include/
-rw-r–r-- 1 C723258 1049089 0 Feb 16 20:46 packages.txt
drwxr-xr-x 1 C723258 1049089 0 Feb 16 20:46 plugins/
-rw-r–r-- 1 C723258 1049089 0 Feb 17 17:47 requirements.txt
drwxr-xr-x 1 C723258 1049089 0 Feb 16 20:46 tests/
rkx@secret MINGW64 /c/eplatform/astro
$ astro dev start
#1 [internal] load build definition from Dockerfile
#1 sha256:ba2341c011e2947a871793377bfd12ec973cb8ee5945a0fbc35af42870ead2cf
#1 transferring dockerfile: 31B done
#1 DONE 0.0s
#2 [internal] load .dockerignore
#2 sha256:1c9395c76d607bdeab6a254afbc1bc7c2eef982c687c4c0cdd1ac8cf0a262278
#2 transferring context: 34B done
#2 DONE 0.0s
#3 [internal] load metadata for Quay
#3 sha256:94903c756aa6c064f48d45e0c47c935d8422fde9c9b63b64410068cd83045b41
#3 DONE 0.8s
#4 [1/1] FROM Quay
#4 sha256:0eace012409ef84423f98f5ce9eb5de165072327fefffd0d6bedd5a82f5fa48d
#4 DONE 0.0s
#5 [internal] load build context
#5 sha256:c315bd99f94d1d2cf9747ccdb5976b82e7f03ec8d753c0257e0e57ad0e9a04a9
#5 transferring context: 693B done
#5 DONE 0.0s
#6 [2/1] COPY packages.txt .
#6 sha256:9731ba22ba672cad046f0e41acbe43947d8f7ed34f312d7c92873194a6597d5e
#6 CACHED
#7 [3/1] RUN if [[ -s packages.txt ]]; then apt-get update && cat packages.txt | xargs apt-get install -y --no-install-recommends && apt-get clean && rm -rf /var/lib/apt/lists/*; fi
#7 sha256:c1084f8807acfca7a2bd92f942ba8a04b0fffba164448ae6e4233b84efc93a38
#7 CACHED
#8 [4/1] COPY requirements.txt .
#8 sha256:dd5b001316791c7c83d3f3dce8d29b22c348acdeb5c8a2838cd658a010cc3072
#8 CACHED
#9 [5/1] RUN if grep -Eqx ‘apache-airflow\s*[=~>]{1,2}.’ requirements.txt; then echo >&2 “Do not upgrade by specifying ‘apache-airflow’ in your requirements.txt, change the base image instead!”; exit 1; fi; pip install --no-cache-dir -q -r requirements.txt
#9 sha256:392528203806a7544ea41e11ca9109b1fa82a4a2a55f21201cfa07501d332b31
#9 0.314 + grep -Eqx 'apache-airflow\s[=~>]{1,2}.’ requirements.txt
#9 0.316 + pip install --no-cache-dir -q -r requirements.txt
#9 3.650 WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astronomer-fab-security-manager/
#9 5.690 WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astronomer-fab-security-manager/
#9 6.925 WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astronomer-fab-security-manager/
#9 9.022 WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astronomer-fab-security-manager/
#9 13.18 WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astronomer-fab-security-manager/
#9 13.49 WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astro-run-dag/
#9 14.08 WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astro-run-dag/
#9 15.17 WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astro-run-dag/
#9 17.25 WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astro-run-dag/
#9 21.40 WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by ‘SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1129)’))’: /simple/astro-run-dag/
#9 21.50 ERROR: Could not find a version that satisfies the requirement astro-run-dag (from versions: none)
#9 21.50 ERROR: No matching distribution found for astro-run-dag
#9 ERROR: executor failed running [/bin/bash -o pipefail -e -u -x -c if grep -Eqx 'apache-airflow\s[=~>]{1,2}.*’ requirements.txt; then echo >&2 “Do not upgrade by specifying ‘apache-airflow’ in your requirements.txt, change the base image instead!”; exit 1; fi; pip install --no-cache-dir -q -r requirements.txt]: exit code: 1
[5/1] RUN if grep -Eqx ‘apache-airflow\s*[=~>]{1,2}.*’ requirements.txt; then echo >&2 “Do not upgrade by specifying ‘apache-airflow’ in your requirements.txt, change the base image instead!”; exit 1; fi; pip install --no-cache-dir -q -r requirements.txt:
executor failed running [/bin/bash -o pipefail -e -u -x -c if grep -Eqx ‘apache-airflow\s*[=~>]{1,2}.*’ requirements.txt; then echo >&2 “Do not upgrade by specifying ‘apache-airflow’ in your requirements.txt, change the base image instead!”; exit 1; fi; pip install --no-cache-dir -q -r requirements.txt]: exit code: 1
Error: command 'docker build -t astro_0637ab/airflow:latest failed: failed to execute cmd: exit status 1
rkx@secret MINGW64 /c/eplatform/astro
$